#!/bin/ksh
#
# This script is relevant only if you need AFS support for LoadLeveler
# for Linux 3.3 running on e325 Red Hat Enterprise Linux 3 systems. 
#
# This script can be used to create the LoadLeveler-AFS interface library libllafs.so that
# is compatible with LoadLeveler 3.3 for Linux on e325 AMD64 Red Hat Enterprise Linux 3
# systems. It should not be used on an X86 32-bit system.
# The required AFS libraries are: 
#    1. /usr/lib64/libauth.a 
#    2. /usr/lib64/libsys.a
#    3. /usr/lib64/librx.a
#    4. /usr/lib64/liblwp.a 
# These libraries can be built from source obtained from http://www.openafs.org.
# The compatible version of source code is the openafs-1.2.11-rhel3.0.1.src.rpm bundle. 
#
# NOTE: Compile these AFS libraries with the -fPIC option.
#
# Execute this script to build the LoadLveler-AFS interface library (libllafs.so) once the 
# AFS libraries are available in the paths mentioned above.
# 
# After the successful creation of the libllafs.so library, the following 
# additional steps are required to complete the installation:
#  
#   1. As root, copy this file (libllafs.so) to the /usr/lib64 directory
#      of all machines in your LoadLeveler cluster.
#
#   2. As root, execute the command: /sbin/ldconfig 
#      to set up the correct links for the shared binaries and rebuild the cache.
#
g++ -shared -Wl,-soname,libllafs.so.1.0.0 -o libllafs.so -L/usr/lib64 \
  ll_afs_mod1.o ll_afs_mod2.o -lelf -lauth -lsys -lrx -llwp 
